#!/usr/bin/env bash

#=============================================================================
# install.sh --- bootstrap script for neovim
# Copyright (c) 2024-2024 Wenwen Zhang & Contributors
# Author: Wenwen Zhang < zhangwenwen1000@gmail.com >
# URL: 
# License: GPLv3
#=============================================================================

echo "NeoVim Configuration Installation Script is Running..."

cd ~

CONFIGBASE="myconfig.nvim"

CONFIG_DIR=".config"

TIMESTAMP=$(date "+%Y-%m-%d_%H:%M:%S")


echo "Backup" "$CONFIG_DIR"/nvim to  "$CONFIG_DIR"/nvim "_" "$TIMESTAMP"

if [ -d "$CONFIG_DIR/nvim" ]; then 
	mv $CONFIG_DIR/nvim $CONFIG_DIR/nvim_BACKUP_$TIMESTAMP
else
	if [ -d "$CONFIG_DIR" ]; then 
		echo $CONFIG_DIR is existing...
	#else
		# mkdir .config
	fi
fi


git clone http://8.130.160.147:3000/Configs/$CONFIGBASE.git

mv $CONFIGBASE/config/nvim $CONFIG_DIR

rm -rf $CONFIGBASE





git clone 

